%global src_name gnome_shell____atolm_by_half_left-d3drw1x.zip
%global theme_name atolm
%global theme Atolm
%global theme_zip %{theme}-3.4


Name:           gnome-shell-theme-%{theme_name}
Version:        3.4
Release:        1%{?dist}
Summary:   	The %{theme} gnome-shell theme  
Group:          User Interface/Desktops     

License:        GPLv3
URL:            http://half-left.deviantart.com/art/GNOME-Shell-Atolm-204534789
Source0:        http://www.deviantart.com/download/204534789/%{src_name}

Requires:       gnome-shell-extension-user-theme
Requires:       gnome-shell >= 3.4
BuildArch:      noarch

%description
The %{theme} gnome-shell theme created by half_left

%prep
%setup -q -n %{theme_zip}

%install
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}

# put the theme files into some data dir
cp -r gnome-shell $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}/.

# delete backup files (*~)
find $RPM_BUILD_ROOT -name *~ -type f -print | xargs /bin/rm -f

# remove LICENSE from BUILDROOT
find $RPM_BUILD_ROOT -name LICENSE -type f -print | xargs /bin/rm -f


%files
%doc gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme}
%{_datadir}/themes/%{theme}/*


%changelog
* Wed Jul 25 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4-1
- latest upstream release with gnome-shell 3.4 support

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 09 2011 Tim Lauridsen <timlau@fedoraproject.org> 3.2
- updated to work with gnome 3.2.x

* Thu Jun 09 2011 Tim Lauridsen <timlau@fedoraproject.org> 1.0
- initial rpm build
